summaryrefslogtreecommitdiffstats
path: root/projectroot/etc/init.d/splashutils
diff options
context:
space:
mode:
Diffstat (limited to 'projectroot/etc/init.d/splashutils')
-rw-r--r--projectroot/etc/init.d/splashutils53
1 files changed, 53 insertions, 0 deletions
diff --git a/projectroot/etc/init.d/splashutils b/projectroot/etc/init.d/splashutils
new file mode 100644
index 000000000..2e2abd04e
--- /dev/null
+++ b/projectroot/etc/init.d/splashutils
@@ -0,0 +1,53 @@
+#!/bin/sh
+#
+# This is an splashutils daemon init.d script which ist called by init(1) with [start|stop] as argument
+#
+
+PATH=/sbin:/bin:/usr/bin
+FUNCTIONS=/sbin/splash-functions.sh
+
+# --- nothing to change after this line ---
+
+. $FUNCTIONS
+
+mkdir -p /var/run/splash/cache/
+
+start_proc() {
+ echo -n "starting splashutils daemon..."
+ splash_start || (echo failed; exit 1)
+ echo "done"
+}
+
+stop_proc() {
+ echo -n "stopping splashutils daemon..."
+ splash_exit
+ echo "done"
+}
+
+
+case "$1" in
+ start)
+ start_proc
+ ;;
+ stop)
+ stop_proc
+ ;;
+ restart|force-reload)
+ echo -n "restarting splashutils daemon..."
+ stop_proc
+ sleep 2
+ start_proc
+ echo "done"
+ ;;
+ reload)
+ echo "Not supported" >&2
+ exit 1
+ ;;
+ *)
+ echo "Usage: $0 {start|stop|restart|force-reload}"
+ exit 1
+ ;;
+esac
+
+exit 0
+